package com.yeejoin.amos.fas.business.service.intfc;

import java.util.HashMap;
import java.util.List;

import org.springframework.data.domain.Page;

import com.yeejoin.amos.fas.business.param.CommonPageInfoParam;
import com.yeejoin.amos.fas.dao.entity.RiskFactor;

public interface IRiskFactorService {
    /**
     * 危险因素分页查询
     * @param param
     * @return
     */
	Page<HashMap<String, Object>> queryRiskFactorPage(String toke,String product,String appKey,CommonPageInfoParam param);
    /**
     * 危险因素查询不分页
     */
	List<RiskFactor> queryRiskFactor();

	/**
     * 危险因素维护
     */
	void editRiskFactor(HashMap<String, Object> map);

	/**
     * 危险因素删除
     */
	void detRiskFactor(Long[] param);
	
	/**
     * 判断危险因素是否重复
     */
	Long countRepeatData(RiskFactor param);
	

}
